<template>
  <div class="boxFilters cus-mobile-hide show">
    <div class="container">
      <div class="row">
        <div class="col-md-6">
          Result Filters
        </div>
        <div class="col-md-6 text-right">
          <p>
            <a @click.prevent="clearFilter" class="clear-filter" id="clear-filter" style="text-decoration:underline;">
              Clear all
              filters
            </a>
          </p>
        </div>
      </div>
      <div class="row rs-5">
        <div class="col-12">
          <ul class="listFilters">
            <li>
              <div class="dropdown">
                <span
                  class="btn btn-default  reset-hover"
                  v-on:click="isHiddenCat = !isHiddenCat"
                ><span class="colorBlack font-type">Categories</span>
                <img
                  :src="geturl"
                  class="position-right"
                />
                </span>
                <div class="form-control category2-options toogle-div" v-if="!isHiddenCat">
                  <ul>
                    <li class="categry2-options-li">
                      <input
                        class="mr-2 leading-tight"
                        v-model="filter.category"
                        type="checkbox"
                        value="BASIS/S & A"
                      />Basis/S &amp; A
                    </li>

                    <li class="categry2-options-li">
                      <input
                        class="mr-2 leading-tight"
                        v-model="filter.category"
                        type="checkbox"
                        value="FUNCTIONAL"
                      />
                      Functional
                    </li>
                    <li class="categry2-options-li">
                      <input
                        class="mr-2 leading-tight"
                        v-model="filter.category"
                        type="checkbox"
                        value="TECHNICAL"
                      />Technical
                    </li>
                    <li class="categry2-options-li">
                      <input
                        class="mr-2 leading-tight"
                        v-model="filter.category"
                        type="checkbox"
                        value="PROJECT MANAGER/SOLUTION ARCHITECT"
                      />Project Manager/Solution Architect
                    </li>
                    <li class="categry2-options-li">
                      <input
                        class="mr-2 leading-tight"
                        v-model="filter.category"
                        type="checkbox"
                        value="OTHERS"
                      />Others
                    </li>
                  </ul>
                </div>
              </div>
            </li>

               <li class="btn btn-default reset-hover size-box remove-pad">
                 <div class="dropdownTransparent">
                      <input
                        v-model="filter.baseRate.to"
                        type="number"
                        class="bg-gray-300 mb-1 px-2 reset-hover border-remove size-input text-opt"
                        placeholder="Billing Rate/day Max."
                      />
                 </div>
                    </li>
            <li>
              <div class="dropdownTransparent">
                <span
                  class="btn btn-default reset-hover"
                  v-on:click="isHiddenExp = !isHiddenExp"
                ><span class="colorBlack font-type">Experiences</span>
                <img
                  :src="geturl"
                  class="position-right"
                />
                </span>
                <div class="form-control category2-options toogle-div" v-if="!isHiddenExp">
                  <ul>
                    <li class="categry2-options-li">
                      <input
                        class="mr-2 leading-tight"
                        v-model="filter.work_experience"
                        type="checkbox"
                        value="FRESH"
                      />Fresh
                    </li>
                    <li class="categry2-options-li">
                      <input
                        class="mr-2 leading-tight"
                        v-model="filter.work_experience"
                        type="checkbox"
                        value="1-3 YEARS"
                      />1-3 Years
                    </li>
                    <li class="categry2-options-li">
                      <input
                        class="mr-2 leading-tight"
                        v-model="filter.work_experience"
                        type="checkbox"
                        value="5-10 YEARS"
                      />5-10 Years
                    </li>
                    <li class="categry2-options-li">
                      <input
                        class="mr-2 leading-tight"
                        v-model="filter.work_experience"
                        type="checkbox"
                        value="10+ YEARS"
                      />10+ Years
                    </li>
                  </ul>
                </div>
              </div>
            </li>
            <li>
              <div class="dropdownTransparent">
                <span
                  class="btn btn-default reset-hover"
                  v-on:click="isHiddenDate = !isHiddenDate">
                <span class="colorBlack font-type ">Availability Date</span>
                <img
                  :src="geturl"
                  class="position-right"
                />
                </span>
                <div class="form-control job-state2-options toogle-div" v-if="!isHiddenDate">
                  <ul>
                    <li
                      class="categry2-options-li"
                      v-for="(date, index) in form.dates"
                      :key="index"
                    >
                      <input
                        class="mr-2 leading-tight"
                        v-model="filter.date"
                        type="checkbox"
                        :value="date.value"
                      />
                      {{date.label}}
                    </li>
                  </ul>
                </div>
              </div>
            </li>
          
            <li>
              <input
                type="checkbox"
                class="subfilter"
                name="available"
                v-model="filter.available_for_contract"
                title="Available"
              /> Available
            </li>
            <li>
              <input
                type="checkbox"
                class="subfilter"
                name="willing_to_travel"
                v-model="filter.willing_to_travel"
                title="Willing to travel"
              />
              Willing to travel
            </li>
            <li>
              <input
                type="checkbox"
                class="subfilter"
                name="full_time"
                v-model="filter.full_time"
                title="Full time"
              /> Full time
            </li>
            <li>
              <input
                type="checkbox"
                class="subfilter"
                name="part_time"
                v-model="filter.part_time"
                title="Part time"
              /> Part time
            </li>
            <li>
              <input
                type="checkbox"
                class="subfilter"
                name="project"
                v-model="filter.project"
                title="Project"
              /> Project
            </li>
            <li>
              <input
                type="checkbox"
                class="subfilter"
                name="support"
                v-model="filter.support"
                title="Support"
              /> Support
            </li>
          </ul>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import api from "../../api/consultant";
export default {
  props: {
    filter: {
      type: Object
    }
  },
  data() {
    return {
      form: {
        industry: [],
        state: [],
        cities: [],
        date_opened: "",
        dates: [
          {
            label: "Within Week",
            value: 7
          },
          {
            label: "Within Month",
            value: 30
          },
          {
            label: "Within 3 Months",
            value: 90
          },
          {
            label: "Within 6 Months",
            value: 180
          },
          {
            label: "Within Year",
            value: 365
          }
        ]
      },
      isHiddenCat: true,
      isHiddenMode: true,
      isHiddenType: true,
      isHiddenRate: true,
      isHiddenExp: true,
      isHiddenDate: true,
      isHiddenDura: true,
      isHiddenInd: true,
      isHiddenSta: true
    };
  },
  computed:{
    query() {
      let param = new URLSearchParams(location.search);
      return param.get("searchterm");
    },
    geturl : function() { 
    let curr = process.env.MIX_API_URL;
    this.fullurl = curr +  "/public/images/new-design/dropdown1.png";
    return this.fullurl;
    }
  },
  methods: {
    clearFilter() {
      this.filter = {
        job_mode: [],
        job_type: [],
        category: [],
        baseRate: {
          from: null,
          to: null
        },
        work_experience: [],
        industry: [],
        state: [],
        date: []
      };
    }
  }
};
</script>
<style>
.color-background {
  background-color: #454545;
}

.text-color {
  color: white;
}

.btn-default {
  background-color: white;
}

.text-color1 {
  color: black;
}

.text-size {
  font-size: 14px !important;
}

.colorBlack {
  color: #969595 !important;
}

.font-type {
  font-family: Futura PT;
  font-size: 14px !important;
  font-weight: normal;
}

.boxFilters .container {
  max-width: 1200px;
}

.spacebottom {
  margin-bottom: 10px;
}

.try {
  padding-right: 0px !important;
  padding-left: 0px !important;
}
.reset-hover:hover{
background-color: white;

}
input[type=number]::-webkit-inner-spin-button, 
input[type=number]::-webkit-outer-spin-button { 
  -webkit-appearance: none; 
  margin: 0; 
}
.border-remove{
  border: none;
}

.size-box{
  width: 70px;
}
.size-input{
  max-width: 100%;
}
.remove-pad{
  padding:0px!important;
}
input[type=number] {
    -moz-appearance:textfield;
}
</style>